# M5Family

[![Arduino Lint](https://github.com/m5stack/M5Family/actions/workflows/Arduino-Lint-Check.yml/badge.svg)](https://github.com/m5stack/M5Family/actions/workflows/Arduino-Lint-Check.yml)

Convergence of the relevant dependencies used in M5 products.

# Libraries M5Family depends on(M5Stack organization)

| Library                                                       | Related Product SKUs             | note |
| :------------------------------------------------------------ | :------------------------------- | :--- |
| [M5Unit-EXTIO2](https://github.com/m5stack/M5Unit-EXTIO2)     | U011-B<br>S002                   |      |
| [M5Unit-Sonic](https://github.com/m5stack/M5Unit-Sonic)       | U098<br>U098-B1<br>U098-B2       |      |
| [M5Unit-RELAY](https://github.com/m5stack/M5Unit-RELAY)       | U097<br>U131<br>U023             |      |
| [M5Unit-ENV](https://github.com/m5stack/M5Unit-ENV)           | U001<br>U001-B<br>U001-C<br>U090 |      |
| [M5Unit-ACSSR](https://github.com/m5stack/M5Unit-ACSSR)       | U139                             |      |
| [M5Unit-KMeter](https://github.com/m5stack/M5Unit-KMeter)     | U133                             |      |
| [M5Unit-Encoder](https://github.com/m5stack/M5Unit-Encoder)   | U135                             |      |
| [M5Unit-MQTT](https://github.com/m5stack/M5Unit-MQTT)         | U129<br>U-129-B                  |      |
| [M5Unit-DDS](https://github.com/m5stack/M5Unit-DDS)           | U105                             |      |
| [M5Unit-UHF-RFID](https://github.com/m5stack/M5Unit-UHF-RFID) | U107                             |      |
| [M5Unit-PoESP32](https://github.com/m5stack/M5Unit-PoESP32)   | U138                             |      |
| [M5Unit-RTC](https://github.com/m5stack/M5Unit-RTC)           | U126                             |      |
| [M5-DLight](https://github.com/m5stack/M5-DLight)             | U134<br>U136                     |      |
| [M5-RoverC](https://github.com/m5stack/M5-RoverC)             | K036-B                           |      |
| [M5-ADS1115](https://github.com/m5stack/M5-ADS1115)           | U086<br>U087                     |      |
| [M5-ADS1100](https://github.com/m5stack/M5-ADS1100)           | U013<br>U069                     |      |
| [M5-FPC1020A](https://github.com/m5stack/M5-FPC1020A)         | U008<br>U074<br>A066             |      |
| [M5GFX](https://github.com/m5stack/M5GFX)                     |                                  |      |
| [M5_EzData](https://github.com/m5stack/M5_EzData)             |                                  |      |
| [M5Unified](https://github.com/m5stack/M5Unified)             |                                  |      |
| [M5-Ethernet](https://github.com/m5stack/M5-Ethernet)         |                                  |      |
| [M5Unit-GLASS](https://github.com/m5stack/M5Unit-GLASS)       | U158                             |      |


# Libraries M5Family depends on(Repositories outside M5Stack organization)

| Library                                                                           | SKU                    | note |
| :-------------------------------------------------------------------------------- | :--------------------- | :--- |
| [FastLED](https://github.com/FastLED/FastLED)                                     |                        |      |
| [ADXL345](https://github.com/jakalada/Arduino-ADXL345)                            | U056                   |      |
| [Adafruit MCP4725](https://github.com/adafruit/Adafruit_MCP4725)                  | U012<br>U068           |      |
| [Adafruit TCS34725](https://github.com/adafruit/Adafruit_TCS34725)                | U009                   |      |
| [Adafruit NeoPixel](https://github.com/adafruit/Adafruit_NeoPixel)                |                        |      |
| [MAX30100lib](https://github.com/oxullo/Arduino-MAX30100)                         | U029                   |      |
| [MFRC522_I2C](https://github.com/kkloesener/MFRC522_I2C)                          | A067<br>U031           |      |
| [HX711 Arduino Library](https://github.com/bogde/HX711)                           | U030<br>U108<br>K121   |      |
| [PCA9554](https://github.com/Tinyu-Zhao/PCA9554)                                  | U011                   |      |
| [TinyGPSPlus-ESP32](https://github.com/Tinyu-Zhao/TinyGPSPlus-ESP32)              | M003<br>U032<br>K043   |      |
| [Adafruit SGP30 Sensor](https://github.com/adafruit/Adafruit_SGP30)               | U088                   |      |
| [TFTTerminal](https://github.com/Tinyu-Zhao/TFTTerminal)                          |                        |      |
| [ClosedCube TCA9548A](https://github.com/closedcube/ClosedCube_TCA9548A_Arduino)  | U040                   |      |
| [PubSubClient](https://github.com/knolleary/pubsubclient)                         |                        |      |
| [arduinoFFT](https://github.com/kosme/arduinoFFT)                                 |                        |      |
| [ArduinoJson](https://github.com/bblanchon/ArduinoJson)                           |                        |      |
| [Blynk](https://github.com/blynkkk/blynk-library)                                 |                        |      |
| [ESP8266Audio](https://github.com/earlephilhower/ESP8266Audio)                    |                        |      |
| [DFRobot_PAJ7620U2](https://github.com/DFRobot/DFRobot_PAJ7620U2)                 | U127                   |      |
| [arduino-LoRa](https://github.com/sandeepmistry/arduino-LoRa)                     | M005<br>M029           |      |
| [U8g2](https://github.com/olikraus/U8g2_Arduino)                                  |                        |      |
| [VL53L0X](https://github.com/pololu/vl53l0x-arduino)                              |                        |      |
| [SparkFun MAX3010x](https://github.com/sparkfun/SparkFun_MAX3010x_Sensor_Library) | U118                   |      |
| [TinyGPSPlus](https://github.com/mikalhart/TinyGPSPlus)                           | M031-G                 |      |
| [USB Host Shield Library 2.0](https://github.com/felis/USB_Host_Shield_2.0)       | M020                   |      |
| [mcp_can](https://github.com/coryjfowler/MCP_CAN_lib)                             | M011                   |      |
| [ArduinoECCX08](https://github.com/arduino-libraries/ArduinoECCX08)               | U124                   |      |
| [TinyGSM](https://github.com/vshymanskyy/TinyGSM)                                 | M031-H<br>K120<br>S004 |      |
| [DFRobot_GP8XXX](https://github.com/DFRobot/DFRobot_GP8XXX)                       | U068-B<br>U012-B       |      |
| [IRremote](https://github.com/Arduino-IRremote/Arduino-IRremote)                  |                        |      |
| [ArduinoHttpClient](https://github.com/arduino-libraries/ArduinoHttpClient)       |                        |      |

